Package com.sas.services

# Class SyntaxException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.SyntaxException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class SyntaxException extends ServiceException implements Serializable
Exception that is thrown when a validation method has determined that an invalid syntax. Note that this class extends `ChainedException` which provides the capability to wrap exceptions.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyntaxException()`
  Default constructor that uses a default exception message.
  `SyntaxException(String message)`
  Constructs an instance using the specified message to detail the cause of the exception.
  `SyntaxException(Throwable throwable, String message)`
  Constructs an instance using the specified message and a throwable that prompted creation of this syntax exception.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyntaxException

    public SyntaxException()
    Default constructor that uses a default exception message.

  - ### SyntaxException

    public SyntaxException(String message)
    Constructs an instance using the specified message to detail the cause of the exception.
    Parameters:
      `message` - Message describing the syntax violation that is suitable for presentation to the user.

  - ### SyntaxException

    public SyntaxException(Throwable throwable, String message)
    Constructs an instance using the specified message and a throwable that prompted creation of this syntax exception.
    Parameters:
      `throwable` - Throwable that prompted the exception.
      `message` - Message describing the syntax violation that is suitable for presentation to the user.